using System;

namespace Smdn.Protocols.Imap4 {
  [Flags()]
  public enum ImapMailboxFlags : int
  {
    None        = 0x00000000,

    // RFC2060
    Marked      = 0x00000001,
    UnMarked    = 0x00000002,
    NoInferiors = 0x00000004,
    NoSelect    = 0x00000008,

    // RFC3384
    HasChildren     = 0x00000010,
    HasNoChildren   = 0x00000020,
  }
}
