using System;

namespace Smdn.Protocols.Pop3 {
  public class PopDropList {
    public int Messages {
      get { return messages; }
    }

    public int Octets {
      get { return octets; }
    }

    internal PopDropList(int messages, int octets)
    {
      this.messages = messages;
      this.octets = octets;
    }

    public override string ToString()
    {
      return string.Format("{{Messages={0}, Octets={1}}}", messages, octets);
    }

    private readonly int messages;
    private readonly int octets;
  }
}
