using System;

namespace Smdn.Protocols.Imap4 {
  // 2.3.2. Flags Message Attribute
  [Flags()]
  public enum ImapMessageFlags : int
  {
    None        = 0x00000000,

    // RFC2060 (System flags)
    Seen        = 0x00000001,
    Answered    = 0x00000002,
    Flagged     = 0x00000004,
    Deleted     = 0x00000008,
    Draft       = 0x00000010,
    Recent      = 0x00000020,
    AllowedCreateKeywords = 0x00000040, // '\*'
  }
}
